%define	name	asteroids3D
%define	version	0.5.1
%define	release	%mkrel 1
%define	Summary	A 3D, first-person game of blowing up asteroids

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Games/Arcade
Source:		http://jengelh.medozas.de/files/as3d/%name-%version.tar.bz2
URL:		http://jengelh.medozas.de/projects/as3d/	
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	Mesa-common-devel

%description
asteroids3D is a 3D, first-person game of blowing up asteroids.
The graphics more accurately reflect the future position of the 
targeted asteroid and provide information about closure rate.

%prep
%setup -q 

%build
%configure --with-gamesdir=%_gamesbindir --with-gamedatadir=%_gamesdatadir/%name
%make

%install
rm -rf $RPM_BUILD_ROOT
make install gamesdir=$RPM_BUILD_ROOT%{_gamesbindir} gamedatadir=$RPM_BUILD_ROOT%{_gamesdatadir}/%name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=arcade_section
Categories=Game;ArcadeGame;
Name=Asteroids3D
Comment=%{Summary}
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -fr %buildroot

%files
%defattr (644,root,root,755)
%doc COPYRIGHT README.html 
%{_datadir}/applications/mandriva-%{name}.desktop
%{_gamesdatadir}/%name
%defattr (755,root,root,755)
%{_gamesbindir}/%{name}



%changelog
* Wed May 20 2009 Samuel Verschelde <stormi@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 378119
- new version 0.5.1
- reworked the spec file a bit
- fixed URL and license

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.2.2-8mdv2009.0
+ Revision: 218435
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.2-8mdv2008.1
+ Revision: 132149
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request


* Sat Dec 10 2005 Anssi Hannula <anssi.hannula@gmail.com> 0.2.2-8mdk
- fix Makefile for lib64
- %%mkrel

* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-7mdk
- rebuild

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.2-6mdk
- rebuild
- add menu item
- drop -ggdb from compile flags
- cleanups

* Thu Dec 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-5mdk
- rebuild

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-4mdk
- rebuild

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2.2-3mdk
- BuildRequires: Mesa-common-devel
- Use Optimizations

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-2mdk
- change url

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- new in contribs

